%globalna zmienna przechowujaca najlepsze wyniki
global Najlepsze;
Najlepsze.cel = 1e10;
Najlepsze.Fi = 0;
Najlepsze.c = 0;
Najlepsze.Psi = 0;

%globalna zmienna ustalajaca numer zestawu danych eksperymentalnych (1-5)
global Zestaw;
Zestaw = 1;

%KONFIGURACJA AG

%definicja funkcji celu
fitnessFunction = @cel_triaxQ8;

%Liczba zmiennych
nvars = 3 ;

%Warunki ograniczajace - puste
Aineq = [];
Bineq = [];
Aeq = [];
Beq = [];

%Zakresy zmiennych
LB = [5  5  0 ];
UB = [40  40  10 ];

%funkcje ograniczajace - puste
nonlconFunction = [];

%wczytanie opcji domyslnych
options = gaoptimset;

%uaktualnienie opcji
options = gaoptimset(options,'PopulationSize' ,20);
options = gaoptimset(options,'Generations' ,50);
options = gaoptimset(options,'PopInitRange' ,[5  5  0 ; 40  40  10]);
options = gaoptimset(options,'MutationFcn' ,{ @mutationadaptfeasible});
options = gaoptimset(options,'Display' ,'iter');
options = gaoptimset(options,'Vectorized' ,'on');
options = gaoptimset(options,'StallTimeLimit' ,200);

%uruchomienie AG z uaktualnionymi ustawieniami
[X,FVAL,REASON,OUTPUT,POPULATION,SCORES] = ga(fitnessFunction,nvars,Aineq,Bineq,Aeq,Beq,LB,UB,nonlconFunction,options);

%wyniki
porownanie(Zestaw, Najlepsze);
