function [] = porownanie(zestaw,najlepsze)
%wizualizacja wynikow

%wyniki badan
if zestaw == 1
    load zestaw1;
end

if zestaw == 2
    load zestaw2;
end

if zestaw == 3
    load zestaw3;
end

if zestaw == 4
    load zestaw4;
end

if zestaw == 5
    load zestaw5;
end

%inicjalizacja danych
[Mat Cal Msh] = DataQ8ax();

%wyniki optymalizacji
Mat.Fi = najlepsze.Fi;
Mat.c = najlepsze.c;
Mat.Psi = najlepsze.Psi;

%symulacja
[epsv sigv sigh pp] = triaxQ8(Mat, Cal, Msh);

div_sim = sigv ./ sigh;
dev_sim = sigv - sigh;

fnt = 11;

subplot(3,1,1);
plot(epsv, dev_sim, 'r');
hold on;
plot(epsv, dev_exp, 'b');
xlabel('\epsilon [-]','FontName','Arial CE', 'FontSize', fnt, 'FontWeight','Bold');
ylabel('\sigma_v-\sigma_h [kPa]','FontName','Arial CE', 'FontSize', fnt, 'FontWeight','Bold');
set(gca,'FontSize',10)
grid on
xlim([0 0.1]);

subplot(3,1,2);
plot(epsv, div_sim, 'r');
hold on;
plot(epsv, div_exp, 'b');
xlabel('\epsilon [-]','FontName','Arial CE', 'FontSize', fnt, 'FontWeight','Bold');
ylabel('\sigma_v/\sigma_h [-]','FontName','Arial CE', 'FontSize', fnt, 'FontWeight','Bold');
set(gca,'FontSize',10)
grid on
xlim([0 0.1]);

subplot(3,1,3);
plot(epsv, pp, 'r');
hold on;
plot(epsv, pp_exp, 'b');
xlabel('\epsilon [-]','FontName','Arial CE', 'FontSize', fnt, 'FontWeight','Bold');
ylabel('p_p [kPa]','FontName','Arial CE', 'FontSize', fnt, 'FontWeight','Bold');
set(gca,'FontSize',10)
grid on
xlim([0 0.1]);

